Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Add Slots Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Optional Features Supported`
- `Registry Error`
- `Registry Error List`
- `Registry Profile`
- `Registry Response`
- `Remove Objects Request`
- `Remove Slots Request`
- `Request Accepted Response`
- `Root Element`
- `Submit Objects Request`
- `Update Objects Request`

See Also:
  `RegistryPackage.getDocumentRoot()`

Method Summary
`AddSlotsRequestType` | `getAddSlotsRequest()` Returns the value of the 'Add Slots Request' containment reference.
`ApproveObjectsRequestType` | `getApproveObjectsRequest()` Returns the value of the 'Approve Objects Request' containment reference.
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()` Returns the value of the 'Deprecate Objects Request' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`OptionalFeaturesSupportedType` | `getOptionalFeaturesSupported()` Returns the value of the 'Optional Features Supported' containment reference.
`RegistryErrorType` | `getRegistryError()` Returns the value of the 'Registry Error' containment reference.
`RegistryErrorListType` | `getRegistryErrorList()` Returns the value of the 'Registry Error List' containment reference.
`RegistryProfileType` | `getRegistryProfile()` Returns the value of the 'Registry Profile' containment reference.
`RegistryResponseType` | `getRegistryResponse()` Returns the value of the 'Registry Response' containment reference.
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()` Returns the value of the 'Remove Objects Request' containment reference.
`RemoveSlotsRequestType` | `getRemoveSlotsRequest()` Returns the value of the 'Remove Slots Request' containment reference.
`RequestAcceptedResponseType` | `getRequestAcceptedResponse()` Returns the value of the 'Request Accepted Response' containment reference.
`RootElementType` | `getRootElement()` Returns the value of the 'Root Element' containment reference.
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()` Returns the value of the 'Submit Objects Request' containment reference.
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()` Returns the value of the 'Update Objects Request' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setAddSlotsRequest(AddSlotsRequestType value)` Sets the value of the '`Add Slots Request`' containment reference.
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType value)` Sets the value of the '`Approve Objects Request`' containment reference.
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType value)` Sets the value of the '`Deprecate Objects Request`' containment reference.
`void` | `setOptionalFeaturesSupported(OptionalFeaturesSupportedType value)` Sets the value of the '`Optional Features Supported`' containment reference.
`void` | `setRegistryError(RegistryErrorType value)` Sets the value of the '`Registry Error`' containment reference.
`void` | `setRegistryErrorList(RegistryErrorListType value)` Sets the value of the '`Registry Error List`' containment reference.
`void` | `setRegistryProfile(RegistryProfileType value)` Sets the value of the '`Registry Profile`' containment reference.
`void` | `setRegistryResponse(RegistryResponseType value)` Sets the value of the '`Registry Response`' containment reference.
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType value)` Sets the value of the '`Remove Objects Request`' containment reference.
`void` | `setRemoveSlotsRequest(RemoveSlotsRequestType value)` Sets the value of the '`Remove Slots Request`' containment reference.
`void` | `setRequestAcceptedResponse(RequestAcceptedResponseType value)` Sets the value of the '`Request Accepted Response`' containment reference.
`void` | `setRootElement(RootElementType value)` Sets the value of the '`Root Element`' containment reference.
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType value)` Sets the value of the '`Submit Objects Request`' containment reference.
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType value)` Sets the value of the '`Update Objects Request`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RegistryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XSISchemaLocation()`

### getAddSlotsRequest

    AddSlotsRequestType getAddSlotsRequest()

  Returns the value of the 'Add Slots Request' containment reference.

  If the meaning of the 'Add Slots Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Add Slots Request' containment reference.
  See Also:
    `setAddSlotsRequest(AddSlotsRequestType)`, `RegistryPackage.getDocumentRoot_AddSlotsRequest()`

### setAddSlotsRequest

    void setAddSlotsRequest(AddSlotsRequestType value)

  Sets the value of the '`Add Slots Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Add Slots Request' containment reference.
  See Also:
    `getAddSlotsRequest()`

### getApproveObjectsRequest

    ApproveObjectsRequestType getApproveObjectsRequest()

  Returns the value of the 'Approve Objects Request' containment reference. The ObjectRefList is the list of refs to the registry entrys being approved.

  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `setApproveObjectsRequest(ApproveObjectsRequestType)`, `RegistryPackage.getDocumentRoot_ApproveObjectsRequest()`

### setApproveObjectsRequest

    void setApproveObjectsRequest(ApproveObjectsRequestType value)

  Sets the value of the '`Approve Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Returns the value of the 'Deprecate Objects Request' containment reference. The ObjectRefList is the list of refs to the registry entrys being deprecated.

  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `RegistryPackage.getDocumentRoot_DeprecateObjectsRequest()`

### setDeprecateObjectsRequest

    void setDeprecateObjectsRequest(DeprecateObjectsRequestType value)

  Sets the value of the '`Deprecate Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `getDeprecateObjectsRequest()`

### getOptionalFeaturesSupported

    OptionalFeaturesSupportedType getOptionalFeaturesSupported()

  Returns the value of the 'Optional Features Supported' containment reference.

  If the meaning of the 'Optional Features Supported' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Optional Features Supported' containment reference.
  See Also:
    `setOptionalFeaturesSupported(OptionalFeaturesSupportedType)`, `RegistryPackage.getDocumentRoot_OptionalFeaturesSupported()`

### setOptionalFeaturesSupported

    void setOptionalFeaturesSupported(OptionalFeaturesSupportedType value)

  Sets the value of the '`Optional Features Supported`' containment reference.

  Parameters:
    `value` - the new value of the 'Optional Features Supported' containment reference.
  See Also:
    `getOptionalFeaturesSupported()`

### getRegistryError

    RegistryErrorType getRegistryError()

  Returns the value of the 'Registry Error' containment reference.

  If the meaning of the 'Registry Error' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Error' containment reference.
  See Also:
    `setRegistryError(RegistryErrorType)`, `RegistryPackage.getDocumentRoot_RegistryError()`

### setRegistryError

    void setRegistryError(RegistryErrorType value)

  Sets the value of the '`Registry Error`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error' containment reference.
  See Also:
    `getRegistryError()`

### getRegistryErrorList

    RegistryErrorListType getRegistryErrorList()

  Returns the value of the 'Registry Error List' containment reference. The RegistryErrorList is derived from the ErrorList element from the ebXML Message Service Specification

  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getDocumentRoot_RegistryErrorList()`

### setRegistryErrorList

    void setRegistryErrorList(RegistryErrorListType value)

  Sets the value of the '`Registry Error List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `getRegistryErrorList()`

### getRegistryProfile

    RegistryProfileType getRegistryProfile()

  Returns the value of the 'Registry Profile' containment reference. Describes the capability profile for the registry and what optional features are supported

  Returns:
    the value of the 'Registry Profile' containment reference.
  See Also:
    `setRegistryProfile(RegistryProfileType)`, `RegistryPackage.getDocumentRoot_RegistryProfile()`

### setRegistryProfile

    void setRegistryProfile(RegistryProfileType value)

  Sets the value of the '`Registry Profile`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Profile' containment reference.
  See Also:
    `getRegistryProfile()`

### getRegistryResponse

    RegistryResponseType getRegistryResponse()

  Returns the value of the 'Registry Response' containment reference.

  If the meaning of the 'Registry Response' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Response' containment reference.
  See Also:
    `setRegistryResponse(RegistryResponseType)`, `RegistryPackage.getDocumentRoot_RegistryResponse()`

### setRegistryResponse

    void setRegistryResponse(RegistryResponseType value)

  Sets the value of the '`Registry Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Response' containment reference.
  See Also:
    `getRegistryResponse()`

### getRemoveObjectsRequest

    RemoveObjectsRequestType getRemoveObjectsRequest()

  Returns the value of the 'Remove Objects Request' containment reference. The ObjectRefList is the list of refs to the registry entrys being removed

  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `setRemoveObjectsRequest(RemoveObjectsRequestType)`, `RegistryPackage.getDocumentRoot_RemoveObjectsRequest()`

### setRemoveObjectsRequest

    void setRemoveObjectsRequest(RemoveObjectsRequestType value)

  Sets the value of the '`Remove Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `getRemoveObjectsRequest()`

### getRemoveSlotsRequest

    RemoveSlotsRequestType getRemoveSlotsRequest()

  Returns the value of the 'Remove Slots Request' containment reference. Only need name in Slot within SlotList

  Returns:
    the value of the 'Remove Slots Request' containment reference.
  See Also:
    `setRemoveSlotsRequest(RemoveSlotsRequestType)`, `RegistryPackage.getDocumentRoot_RemoveSlotsRequest()`

### setRemoveSlotsRequest

    void setRemoveSlotsRequest(RemoveSlotsRequestType value)

  Sets the value of the '`Remove Slots Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove Slots Request' containment reference.
  See Also:
    `getRemoveSlotsRequest()`

### getRequestAcceptedResponse

    RequestAcceptedResponseType getRequestAcceptedResponse()

  Returns the value of the 'Request Accepted Response' containment reference. Mapping of the same named interface in ebRS.

  Returns:
    the value of the 'Request Accepted Response' containment reference.
  See Also:
    `setRequestAcceptedResponse(RequestAcceptedResponseType)`, `RegistryPackage.getDocumentRoot_RequestAcceptedResponse()`

### setRequestAcceptedResponse

    void setRequestAcceptedResponse(RequestAcceptedResponseType value)

  Sets the value of the '`Request Accepted Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Request Accepted Response' containment reference.
  See Also:
    `getRequestAcceptedResponse()`

### getRootElement

    RootElementType getRootElement()

  Returns the value of the 'Root Element' containment reference. The contrived root node

  Returns:
    the value of the 'Root Element' containment reference.
  See Also:
    `setRootElement(RootElementType)`, `RegistryPackage.getDocumentRoot_RootElement()`

### setRootElement

    void setRootElement(RootElementType value)

  Sets the value of the '`Root Element`' containment reference.

  Parameters:
    `value` - the new value of the 'Root Element' containment reference.
  See Also:
    `getRootElement()`

### getSubmitObjectsRequest

    SubmitObjectsRequestType getSubmitObjectsRequest()

  Returns the value of the 'Submit Objects Request' containment reference. The SubmitObjectsRequest allows one to submit a list of RegistryObject elements. Each RegistryEntry element provides metadata for a single submitted object. Note that the repository item being submitted is in a separate document that is not in this DTD. The ebXML Messaging Services Specfication defines packaging, for submission, of the metadata of a repository item with the repository item itself. The value of the id attribute of the ExtrinsicObject element must be the same as the xlink:href attribute within the Reference element within the Manifest element of the MessageHeader.

  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `setSubmitObjectsRequest(SubmitObjectsRequestType)`, `RegistryPackage.getDocumentRoot_SubmitObjectsRequest()`

### setSubmitObjectsRequest

    void setSubmitObjectsRequest(SubmitObjectsRequestType value)

  Sets the value of the '`Submit Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `getSubmitObjectsRequest()`

### getUpdateObjectsRequest

    UpdateObjectsRequestType getUpdateObjectsRequest()

  Returns the value of the 'Update Objects Request' containment reference. The UpdateObjectsRequest allows one to update a list of RegistryObject elements. Each RegistryEntry element provides metadata for a single submitted object. Note that the repository item being submitted is in a separate document that is not in this DTD. The ebXML Messaging Services Specfication defines packaging, for submission, of the metadata of a repository item with the repository item itself. The value of the id attribute of the ExtrinsicObject element must be the same as the xlink:href attribute within the Reference element within the Manifest element of the MessageHeader.

  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `setUpdateObjectsRequest(UpdateObjectsRequestType)`, `RegistryPackage.getDocumentRoot_UpdateObjectsRequest()`

### setUpdateObjectsRequest

    void setUpdateObjectsRequest(UpdateObjectsRequestType value)

  Sets the value of the '`Update Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `getUpdateObjectsRequest()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD